## ---- echo=TRUE---------------------------------------------------------------
library(r2resize)

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    "Question Text",
#    "Answer Text",
#    bg.right.color = "black",
#    bg.left.color = "brown",
#    text.left.color = "white",
#    text.right.color = "white",
#    slider.position = "85"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#       shiny::tags$h4("Let's begin with a simply curiousity. Do you consider yourself successful?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("I do consider myself successful, even though I’m early in my professional career. I took a full load of classes in my junior year of college because I wanted to take that summer to volunteer for a human rights organization overseas.")
#    ),
#    bg.right.color = "black",
#    bg.left.color = "green",
#    text.left.color = "white",
#    text.right.color = "white",
#    slider.position = "85"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#       shiny::tags$h4("Where do you see yourself in five years?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("I will have gotten experience working for a design agency and know more about the industry overall. I’ll have grown my technical skills and learned how to take feedback from clients and incorporate it.")
#    ),
#    bg.right.color = "black",
#    bg.left.color = "brown",
#    text.left.color = "white",
#    text.right.color = "white",
#    slider.position = "85"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#       shiny::tags$h4("How do you plan to achieve your career goals?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("My current goal is to earn the CPA license so that I’m fully certified and prepared to contribute in a junior staff accounting job. My undergraduate degree is in finance and I completed an accounting internship with RPKG.net last summer.")
#    ),
#    bg.right.color = "black",
#    bg.left.color = "brown",
#    text.left.color = "white",
#    text.right.color = "white",
#    slider.position = "85"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#       shiny::tags$h4("What other companies are you interviewing with?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("I’m interviewing with a few companies for a range of positions, but they all come down to delivering an excellent customer experience. I wanted to keep an open mind about how to best achieve that goal, but so far it seems that this role will really allow me to focus all of my energy on customer experience and retention, which I find very appealing.")
#    ),
#    bg.right.color = "black",
#    bg.left.color = "brown",
#    text.left.color = "white",
#    text.right.color = "white",
#    slider.position = "85"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#       shiny::tags$h4("What would your first few months look like in this role?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("It’s been exciting to hear about some of the new initiatives the company has started in our previous conversations—like the database project and the company-wide sync, but I know there’s still a lot for me to learn. The first thing I’d do is line up meetings with the stakeholders involved in the projects I’d be tackling to help me figure out what I don’t know and then go from there.")
#    ),
#    bg.right.color = "black",
#    bg.left.color = "brown",
#    text.left.color = "white",
#    text.right.color = "white",
#    slider.position = "85"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#       shiny::tags$h4("What can you bring to the RPKG.net?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("As Jocelyn talked about in our interview earlier, PopCo is looking to expand its market to small business owners with less than 25 employees, so I’d bring my expertise in this area and my experience in guiding a sales team that’s selling to these customers for the first time.")
#    ),
#    bg.right.color = "black",
#    bg.left.color = "brown",
#    text.left.color = "white",
#    text.right.color = "white",
#    slider.position = "85"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#      shiny::tags$h4("What do you consider to be your weaknesses?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("It can be difficult for me to gauge when the people I’m working with are overwhelmed or dissatisfied with their workloads. To ensure that I’m not asking too much or too little from my team, we have weekly check-ins. ")
#    ),
#    bg.right.color = "blue",
#    bg.left.color = "yellow",
#    text.left.color = "black",
#    text.right.color = "white"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#      shiny::tags$h4("What is your greatest professional achievement?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("My greatest accomplishment was when I helped the street lighting company I worked for convince the small town of Bend, Oregon to convert antiquated street lighting to energy-efficient LED bulbs. My role was created to promote and sell the energy-efficient bulbs, while touting the long-term advantage of reduced energy costs.")
#    ),
#    bg.right.color = "blue",
#    bg.left.color = "yellow",
#    text.left.color = "black",
#    text.right.color = "white"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#      shiny::tags$h4("Tell me about a time you demonstrated leadership skills.")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("I think that a good leader is someone who can make decisions while also listening to others and being willing to admit when you’re wrong and course correct. In my last role, my team and I were responsible for giving a big presentation to a prospective client. I quickly assigned different tasks to members of my team, but the project never really got moving.")
#    ),
#    bg.right.color = "blue",
#    bg.left.color = "yellow",
#    text.left.color = "black",
#    text.right.color = "white"
#  )

## ---- eval=FALSE--------------------------------------------------------------
#  r2resize::splitCard2(
#    shiny::div(
#      shiny::tags$h2("Question"),
#      shiny::tags$h4("What’s a time you disagreed with a decision that was made at work?")
#    ),
#    shiny::div(
#      shiny::tags$h2("Answer"),
#      shiny::tags$h4("In my job as a finance assistant, I was in charge of putting together reports for potential company investments. It was important to get the details and numbers right so that leaders had the best information to make a decision. One time, my boss asked me to generate a new report on a Wednesday morning and wanted it done by Thursday at 5 PM.")
#    ),
#    bg.right.color = "yellow",
#    bg.left.color = "purple",
#    text.left.color = "white",
#    text.right.color = "black"
#  )

